makecol_depth(3)

NAME
makecol_depth - Converts an RGB value into the specified pixel format. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int makecol_depth(int color_depth, int r, int g, int b);

DESCRIPTION
Converts colors from a hardware independent format (red, green, and blue values ranging 0-255) to the pixel format required by the specified color depth. Example:
   /* Compose the green color for 15 bit color depth. */
   int green_15bit = makecol_depth(15, 0, 255, 0);

RETURN VALUE
Returns the requested RGB triplet in the specified color depth.

SEE ALSO
makeacol(3), makecol(3), makecol8(3), makecol15_dither(3), rgb_map(3), set_color_depth(3)